ioctl VIDIOC_QUERY_DV_PRESET
&manvol;

# VIDIOC_QUERY_DV_PRESET

Sense the DV preset received by the current input

    	int ioctl
    	int fd
    	int request
    	struct v4l2_dv_preset *argp

## Arguments

`fd`

  &fd;

`request`

  VIDIOC_QUERY_DV_PRESET

`argp`

## Description

The hardware may be able to detect the current DV preset automatically, similar to sensing the video standard. To do so, applications call `VIDIOC_QUERY_DV_PRESET` with a pointer to a &v4l2-dv-preset; type. Once the hardware detects a preset, that preset is returned in the preset field of &v4l2-dv-preset;. If the preset could not be detected because there was no signal, or the signal was unreliable, or the signal did not map to a supported preset, then the value V4L2_DV_INVALID is returned.

&return-value;